<%@ page language="C#" masterpagefile="~/MasterPage/UserMasterPage.master" autoeventwireup="true" inherits="Rest_Manage_ServiceMain, DoodiiShop" title="Untitled Page" enableEventValidation="false" viewStateEncryptionMode="Never" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">

    <script type="text/javascript">
function Refreh()
{
   var userid=document.getElementById("<%=hduserid.ClientID %>").value;
   Rest_Manage_ServiceMain.getNum(userid,callback_ref);
}
function callback_ref(res)
{
   document.getElementById("MainCon").style.display="";
   document.getElementById("MainCon").innerHTML="正在刷新...";
   var ret=res.value;
   if(ret==null)
   {
     window.location="/Rest/Manage/ServiceMain.aspx";
   }
   else
   {
   document.getElementById("<%=TheOrder.ClientID %>").innerHTML=ret.orderStr;
   document.getElementById("<%=UserMsg.ClientID %>").innerHTML=ret.msgStr;
   document.getElementById("<%=UserCp.ClientID %>").innerHTML=ret.comPlan;
   document.getElementById("<%=spState.ClientID %>").innerHTML=ret.stateStr;
   document.getElementById("<%=spOrderState.ClientID %>").innerHTML=ret.orderStateStr;
   document.getElementById("MainCon").innerHTML="<div style='font-size: 18px;color:red; font-weight: bold;border:1px solid #E6D890; background-color:#FEFE00;width:500px;height:20px;padding-top:5px;padding-bottom:5px;'>刷新成功！</div>";
   setTimeout("Timout()",1000);
   }
}
function Timout()
{
  document.getElementById("MainCon").style.display="none";
}
 //浮动提示信息
    function ShowMsg(obj,obj2)
    {
        var divPopMessage = document.getElementById("RestList");          
        divPopMessage.style.left = (getPosition(obj).x + 0) + "px";
        divPopMessage.style.top = (getPosition(obj).y + 15) + "px"; 
        divPopMessage.style.display = ""; 
    }
    function CloseMsg(obj2)
    {
        var divPopMessage = document.getElementById(obj2);  
        divPopMessage.style.display = "none";
    }
  function ShowList(obj,obj2,num)
  {
     GetRestList(num);
     ShowMsg(obj,obj2);
  }
  function GetRestList(num)
  {
     var ret=Rest_Manage_ServiceMain.GetRestList(<%=userid %>,num).value;
     var str="<ul style='padding:0px;margin:0px'>";
     if(ret!=null)
     {
        if(ret.Rows.length >0)
        {
        for(i=0;i<ret.Rows.length;i++)
        {
           switch(num)
           {
              case 1:
              str+="<li><a href='/Shop/" + ret.Rows[i].RestId + "/Comments.shtml?state=0' title=\""+ret.Rows[i].RestName+"\" target=_blank>"+HTMLEnCode(cutString(ret.Rows[i].RestName,27))+"</a>&nbsp;<font color='red'>"+ret.Rows[i].NewMessage+"条</font></li>";
              break;
              case 2:
              str+="<li><a href='/Shop/" + ret.Rows[i].RestId + "/UserRate.shtml?state=1' title=\""+ret.Rows[i].RestName+"\" target=_blank>"+HTMLEnCode(cutString(ret.Rows[i].RestName,27))+"</a>&nbsp;<font color='red'>"+ret.Rows[i].FineCommend+"条</font></li>"
              break;
              case 3:
              str+="<li><a href='/Shop/" + ret.Rows[i].RestId + "/UserRate.shtml?state=2' title=\""+ret.Rows[i].RestName+"\" target=_blank>"+HTMLEnCode(cutString(ret.Rows[i].RestName,27))+"</a>&nbsp;<font color='red'>"+ret.Rows[i].MiddleCommend+"条</font></li>"
              break;
              case 4:
              str+="<li><a href='/Shop/" + ret.Rows[i].RestId + "/UserRate.shtml?state=3' title=\""+ret.Rows[i].RestName+"\" target=_blank>"+HTMLEnCode(cutString(ret.Rows[i].RestName,27))+"</a>&nbsp;<font color='red'>"+ret.Rows[i].BadCommend+"条</font></li>"
              break;
              case 5:
              str+="<li><a href='/Rest/Manage/RestBulletinManage.aspx?restId=" + ret.Rows[i].RestId +"&State=0'title=\""+ret.Rows[i].RestName+"\" target=_blank>"+HTMLEnCode(cutString(ret.Rows[i].RestName,27))+"</a>&nbsp;<font color='red'>"+ret.Rows[i].NewNotice+"条</font></li>"
              break;
              case 6:
              str+="<li><a href='/Rest/Manage/RestBulletinManage.aspx?restId=" + ret.Rows[i].RestId +"&state=3 'title=\""+ret.Rows[i].RestName+"\" target=_blank>"
                 +HTMLEnCode(cutString(ret.Rows[i].RestName,27))+"</a>&nbsp;<font color='red'>"+ret.Rows[i].OldNotice+"条</font></li>"
              break;
              case 7:
              str+="<li><a href='/Rest/Manage/RestBulletinManage.aspx?restId=" + ret.Rows[i].RestId +"&state=2'title=\""+ret.Rows[i].RestName+"\" target=_blank>"
                 +HTMLEnCode(cutString(ret.Rows[i].RestName,27))+"</a>&nbsp;<font color='red'>"+ret.Rows[i].Noticing+"条</font></li>"
            
           } 
        }
        }
        else
        {str+="暂时没有数据！";}
     }
     str+="</ul>"
     $("#ListCount").html("");
     $("#ListCount").html(str);
     //alert(ret);
     
  }
//  function　autoHeightIFrameNavigate(iframeId,url)
//　　　　{
//　　　　　　　　var　iframe　=　$('#'　+　iframeId);
//　　　　　　　　iframe.attr('_name_',iframe.attr('name'))　　　　//备份原　name　
//　　　　　　　　.attr('src',url)　　　　　　　　　　　　　　　　　　　　　　　　　　　　//设置URL
//　　　　　　　　.one('load',function　()　{
//　　　　　　　　　　　　this.contentWindow.location　=　"about:blank";　　　　//向代理页面，直接使这个
//　　　　　　　　　　　　$(this).one('load',function　()　{
//　　　　　　　　　　　　　　　　var　msg　=　this.contentWindow.name;　　　　　　　　　　　　//得值　这个值就度
//　　　　　　　　　　　　　　　　this.contentWindow.name　=　$(this).attr('_name_');　　　　//恢复原　Name
//　　　　　　　　　　　　　　　　this.contentWindow.location　=　url;　　　　　　　　　　　　//再次向目标页面
//　　　　　　　　　　　　　　　　
//　　　　　　　　　　　　　　　　try
//　　　　　　　　　　　　　　　　{
//　　　　　　　　　　　　　　　　　　　　var　height　=　eval(msg);　　　　　　　　　　　　　　　　　　　　//得并设置度
//　　　　　　　　　　　　　　　　　　　　//alert(height+"1");
//　　　　　　　　　　　　　　　　　　　　iframe.css('height',　height　+　'px');
//　　　　　　　　　　　　　　　　
//　　　　　　　　　　　　　　　　}
//　　　　　　　　　　　　　　　　catch(e)
//　　　　　　　　　　　　　　　　{
//　　　　　　　　　　　　　　　　　　　　alert('目标页面没有设置度　window.name')
//　　　　　　　　　　　　　　　　}
//　　　　　　　　　　　　　　　　
//　　　　　　　　　　　　})
//　　　　　　　　
//　　　　　　　　
//　　　　　　　　})
//　　　　}
//　　　　 function load()
//        {
//            autoHeightIFrameNavigate('childPage',　"http://<%=OfficalDomain %>/WebRef/info2.htm");
//        }
//$(function(){load();$("body").click(CloseMsg('RestList'))})
$(function(){
	$("body").click(CloseMsg('RestList'));
	$("#divchildPage2").html("<iframe"+' id="childPage" name="childPage" src="http://<%=OfficalDomain %>/WebRef/info3.htm" frameborder="0"  width="625" scrolling="no"></'+"iframe>"); 
})
    </script>

    <div style="height: auto; overflow: hidden;">
        <div style="">
            <input type="hidden" value="0" id="hduserid" runat="server" /><br />
            <span style="margin-left: 35px; margin-top: 20px;">
                <asp:Label ID="Nickname" runat="server" Text="Label"></asp:Label>
                您好！以下是今日您未处理事宜，请及时处理！ 查看最新情况请&nbsp;<a style="font-size: 18px; color: #0044DD; font-weight: bold;"
                    class="normal" href="javascript:void(0)" onclick="Refreh()">刷新</a></span><br />
            <div id="MainCon" style="text-align: center; color: Red; margin: 8px 0px 5px 0px">
            </div>
            <div class="Div_Rest">
                <div style="border-bottom: 1px solid #fcddcb; margin-right: 55px; font-size: 14px;">
                    &gt;&nbsp;订单处理状况</div>
                <br />
                <span style="line-height: 18px; display: block; margin-left: 10px;" id="TheOrder"
                    runat="server"></span>
                <br />
                <br />
                <br />
                <div style="border-bottom: 1px solid #fcddcb; margin-right: 55px; font-size: 14px;">
                    &gt;&nbsp;餐馆经营状态</div>
                <br />
                <span style="line-height: 18px; display: block; margin-left: 10px;" id="spState"
                    runat="server"></span>
                <br />
            </div>
            <div class="Div_left">
                <div style="border-bottom: 1px solid #fcddcb; margin-right: 55px; display: none;
                    font-size: 14px;">
                    &gt;&nbsp;客户留言状况</div>
                <span style="line-height: 18px; display: none; margin-left: 10px;" id="UserMsg" runat="server">
                </span>
                <div style="border-bottom: 1px solid #fcddcb; margin-right: 55px; font-size: 14px;">
                    &gt;&nbsp;兑换礼品处理情况</div>
                <span style="line-height: 18px; margin-left: 10px;" id="spOrderState" runat="server">
                </span>
                <br />
                <br />
                <br />
                <div style="border-bottom: 1px solid #fcddcb; margin-right: 55px; font-size: 14px;">
                    <div style="border-bottom: 1px solid #fcddcb; margin-right: 55px; font-size: 14px;">
                        &gt;&nbsp;其他信息</div>
                    <br />
                    <span style="line-height: 20px; display: block; margin-left: 10px;" id="UserCp" runat="server">
                    </span>
                    <br />
                </div>
            </div>
            <div style="clear: both;">
            </div>
            <div style="background-image: url(/images/v6top/tianjiacaidan.gif); width: 510px;
                height: 36px; padding-top: 40px; margin-top: 40px; margin-left: 75px !important;">
                <a href="/Rest/Manage/RestManage_RestMenu.aspx" target="_blank" style="display: block;
                    width: 510px; height: 46px; background-color: Transparent"></a>
            </div>
            <div style="width: 625px; height: auto; margin: 10px 10px; float: left;">
                &nbsp;&nbsp;&nbsp;当前版本&nbsp;&nbsp;-->&nbsp;&nbsp;<asp:Label runat="server" ID="lblCurrentVersion"></asp:Label>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;最新版本&nbsp;&nbsp;-->&nbsp;&nbsp; <a target="_blank" href="http://www.doulaiding.com/download/"
                    id="">
                    <asp:Label ID="lnkNewVersion" runat="server"></asp:Label></a>
            </div>
            <div id="divchildPage2" style="width: 625px; height: auto; margin: 10px 10px; float: left;">
            </div>
        </div>
        <div id="RestList" style="display: none;" class="PopMessage">
            <div style="text-align: right; background-color: #008C00; padding: 2px; margin-bottom: 2px;">
                <a href="javascript:CloseMsg('RestList')"><span style="color: White">[关闭]</span></a></div>
            <div id="ListCount" style="margin: 5px">
            </div>
        </div>
        <style type="text/css">
.Div_Rest
{
    padding-top:20px;
    padding-left:30px;
    float:left;
    width:312px;
}
.Div_left
{
    padding-top:18px;
    margin-left:20px;
    float:left;
    width:282px;
}
.PopMessage
{
    position:absolute;
    width:220px;

    padding:0px;
    right:0px; top:0px;
    background-color:#F7FCF5;
    z-index:9999;
    border:1px solid #008C00;
}
.PopMessage li
{
    border-bottom:1px solid #f5f5f5;
    line-height:19px;
}
</style>
</asp:Content>
